For the complete documentation index, see llms.txt. This page is also available as Markdown.

Replays

Video replay recording, processing, and delivery.

get
Path parameters
replayIdstringRequiredExample: mj8LMDK7DUMRUxldfQPW6yHCUW2ToJV3VUHQwaL1i2M
Responses
200

Returns a ReplayDto

application/json
idstringRead-onlyRequired
typestring · enumRequiredPossible values:
actionTypestring · enumOptional

Action type: PREVIEW to simulate order, ORDER to create

Possible values:
paymentModestring · enumWrite-onlyOptional

Payment mode: PAID (default) or FREE_OF_CHARGE. FREE_OF_CHARGE is only available for admins/managers/staff from the dashboard.

Possible values:
chargeStrategystring · enumOptional

Charge strategy for enhanced replays (admin only). Determines how costs are split between customer and club.

Possible values:
statusstring · enumRead-onlyRequiredPossible values:
startTimestring · date-timeRequired
endTimestring · date-timeRequired
lengthMillisecondsnumberRead-onlyRequired
likesobjectRead-onlyRequired
enhancedVideoUrlstringRead-onlyRequired

URL to the AI-enhanced analysis page

flagsstring[]Read-onlyRequired

Feature flags for this replay (e.g. "AUTO_ENHANCE")

Example: ["AUTO_ENHANCE"]
_linksobjectRead-onlyRequired
get/replays/{replayId}
GET /apis/v2/replays/{replayId} HTTP/1.1
Accept: */*
200

Returns a ReplayDto

{
  "id": "text",
  "type": "QUICK_REPLAY",
  "actionType": "PREVIEW",
  "chargeStrategy": "CHARGE_CUSTOMER_FULL",
  "status": "ORDERED",
  "table": {
    "id": "text"
  },
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z",
  "lengthMilliseconds": 1,
  "video": {
    "low": {
      "href": "text"
    },
    "medium": {
      "href": "text"
    },
    "high": {
      "href": "text"
    },
    "web": {
      "href": "text"
    },
    "hls": {
      "href": "text"
    }
  },
  "preview": {
    "id": "text",
    "small": {
      "href": "text"
    },
    "medium": {
      "href": "text"
    },
    "large": {
      "href": "text"
    },
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "likes": {},
  "enhancedVideoUrl": "text",
  "flags": [
    "AUTO_ENHANCE"
  ],
  "summary": {
    "currency": "text",
    "subtotal": 1,
    "taxes": [
      {
        "name": "text",
        "amount": 1,
        "percentage": 1
      }
    ],
    "total": 1,
    "chargeOptions": [
      {
        "id": "CHARGE_CUSTOMER_FULL",
        "label": "text",
        "pricing": {
          "subtotal": 1,
          "taxes": [
            {
              "name": "text",
              "amount": 1,
              "percentage": 1
            }
          ],
          "total": 1
        }
      }
    ],
    "errors": [
      {
        "code": "text",
        "message": "text",
        "details": {}
      }
    ],
    "messages": [
      {
        "code": "text",
        "message": "text"
      }
    ]
  },
  "user": {
    "id": "text"
  },
  "_links": {}
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
playbackIdstringRequired

Replay playback ID

Example: abc-123-def-456
Body
actionTypestringOptional

Action type: PREVIEW to simulate order, ORDER to create

paymentModestring · enum · nullableWrite-onlyRequired

Payment mode: PAID (default) or FREE_OF_CHARGE. FREE_OF_CHARGE is only available for admins/managers from the dashboard.

Possible values:
chargeStrategystring · enumOptional

Charge strategy for enhancement (admin only). Determines how costs are split between customer and club.

Possible values:
Responses
200

Returns the updated replay

application/json
idstringRead-onlyRequired
typestring · enumRequiredPossible values:
actionTypestring · enumOptional

Action type: PREVIEW to simulate order, ORDER to create

Possible values:
paymentModestring · enumWrite-onlyOptional

Payment mode: PAID (default) or FREE_OF_CHARGE. FREE_OF_CHARGE is only available for admins/managers/staff from the dashboard.

Possible values:
chargeStrategystring · enumOptional

Charge strategy for enhanced replays (admin only). Determines how costs are split between customer and club.

Possible values:
statusstring · enumRead-onlyRequiredPossible values:
startTimestring · date-timeRequired
endTimestring · date-timeRequired
lengthMillisecondsnumberRead-onlyRequired
likesobjectRead-onlyRequired
enhancedVideoUrlstringRead-onlyRequired

URL to the AI-enhanced analysis page

flagsstring[]Read-onlyRequired

Feature flags for this replay (e.g. "AUTO_ENHANCE")

Example: ["AUTO_ENHANCE"]
_linksobjectRead-onlyRequired
post/replays/{playbackId}/enhance
POST /apis/v2/replays/{playbackId}/enhance HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 140

{
  "actionType": "text",
  "paymentMethod": {
    "id": "text"
  },
  "paymentMode": "PAID",
  "chargeStrategy": "CHARGE_CUSTOMER_FULL",
  "billingUser": {
    "id": "text"
  }
}
{
  "id": "text",
  "type": "QUICK_REPLAY",
  "actionType": "PREVIEW",
  "chargeStrategy": "CHARGE_CUSTOMER_FULL",
  "status": "ORDERED",
  "table": {
    "id": "text"
  },
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z",
  "lengthMilliseconds": 1,
  "video": {
    "low": {
      "href": "text"
    },
    "medium": {
      "href": "text"
    },
    "high": {
      "href": "text"
    },
    "web": {
      "href": "text"
    },
    "hls": {
      "href": "text"
    }
  },
  "preview": {
    "id": "text",
    "small": {
      "href": "text"
    },
    "medium": {
      "href": "text"
    },
    "large": {
      "href": "text"
    },
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "likes": {},
  "enhancedVideoUrl": "text",
  "flags": [
    "AUTO_ENHANCE"
  ],
  "summary": {
    "currency": "text",
    "subtotal": 1,
    "taxes": [
      {
        "name": "text",
        "amount": 1,
        "percentage": 1
      }
    ],
    "total": 1,
    "chargeOptions": [
      {
        "id": "CHARGE_CUSTOMER_FULL",
        "label": "text",
        "pricing": {
          "subtotal": 1,
          "taxes": [
            {
              "name": "text",
              "amount": 1,
              "percentage": 1
            }
          ],
          "total": 1
        }
      }
    ],
    "errors": [
      {
        "code": "text",
        "message": "text",
        "details": {}
      }
    ],
    "messages": [
      {
        "code": "text",
        "message": "text"
      }
    ]
  },
  "user": {
    "id": "text"
  },
  "_links": {}
}

Last updated

Was this helpful?